package src;

import java.util.Random;


// <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
// #[regen=yes,id=DCE.266D0C3C-DD63-9DA2-F52C-057CF2BD63BB]
// </editor-fold> 
public class CuentaCorriente extends Cuentas {

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.55113EAD-E734-8196-2FB5-F17C58803E20]
    // </editor-fold>
    //Objeto Random
    Random rnd = new Random();



    public CuentaCorriente () {
    }


     public void creaCuentas()
    {
        //2098 40 0216 1000015263
        String ncuenta;

        ncuenta="2098400216";


        int x = 0;
        int[] p = new int[10]; //Arrays de enteros
        String[] l=new String[10];//Array de String





        for (int i = 0; i < 10; i++)
        {
        	x = (int)(rnd.nextDouble() * 10.0);
            p[i]=x;
    	}

        //El array p ya tiene los 10 numeros
         for (int k = 0; k < 10; k++)
         {
            //Paso el array de enteros a String
            l[k]= String.valueOf(p[k]);
         }

        //Le sumo al numero de cuenta los numeros generados
        for (int m = 0; m < 10; m++)
        {
         ncuenta=ncuenta+l[m];
        }

        System.out.println("La cadena resultante es"+ncuenta);
    }

}

